Bug 510381 - nm-applet cannot properly transfer my password phrase
nm-applet cannot properly transfer my password phrase
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 16:58 EDT by Joshua Covington
Modified: 2012-07-10 12:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 18:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (4.12 KB, text/plain)
2009-07-08 16:59 EDT, Joshua Covington
no flags Details

  None (edit)
Description Joshua Covington 2009-07-08 16:58:03 EDT
Description of problem:
I cannot connect to a hidden wpa2 network. I see some networks and after entering my 63 ASCII password phrase I still cannot connect. If the entered pass phrase were wrong, then I should habe been asked to re-enter it, but no dialog appears. I've attached the messages from /var/log/messages.

It appears to me that the nm-applet cannot properly transfer my password because there is an entry saying: nm_supplicant_config_add_setting_wireless_security(): Invalid PSK length 63: not between 8 and 63 characters inclusive.

When downgrading to NetworkManager-gnome-0.7.1-4.git20090617.fc11.x86_64.rpm everything is fine and I can connect. The other 2 packages haven't been downgraded.

Maybe this is connected to RH #441070.


Version-Release number of selected component (if applicable):
NetworkManager-0.7.1-6.git20090617.fc11.x86_64.rpm
NetworkManager-glib-0.7.1-6.git20090617.fc11.x86_64.rpm
NetworkManager-gnome-0.7.1-6.git20090617.fc11.x86_64.rpm

How reproducible:
Install NetworkManager-gnome-0.7.1-6.git20090617.fc11.x86_64.rpm


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
it should work


Additional info:
Comment 1 Joshua Covington 2009-07-08 16:59:36 EDT
Created attachment 350993 [details]
/var/log/messages
Comment 2 Joshua Covington 2009-07-10 18:27:59 EDT
Someone has unintentionally modified line #612 in /NetworkManager-0.7.1/src/supplicant-manager/nm-supplicant-config.c and deleted the "=" sing. The right line should read:

 } else if (psk_len >= 8 && psk_len <= 63) {

This is fixed in NetworkManager-gnome-0.7.1-8.git20090708.fc11.x86_64 and I'll close this bug.
Comment 3 Felix Kaechele 2012-07-10 12:35:05 EDT
I've removed the nm-applet alias to not confuse users that try searching for nm-applet

Note You need to log in before you can comment on or make changes to this bug.